create_sheet_to_ground#

Modeler2D.create_sheet_to_ground(objectname, groundname=None, axisdir=0, sheet_dim=1)[source]#

Create a sheet between an object and a ground plane.

The ground plane must be bigger than the object and perpendicular to one of the three axes.

Parameters:
objectnamestr

Name of the object.

groundnamestr, optional

Name of the ground. The default is None, in which case the bounding box is used.

axisdirint, optional

Axis direction. Options are 0 through 5. The default is 0.

sheet_dimoptional

Sheet dimension in millimeters. The default is 1.

Returns:
int

ID of the sheet created.

References

>>> oEditor.CreatePolyline